## GDataGDOrganization

GDataGDOrganization — GData organization element

## Stability Level

Stable, unless otherwise indicated

## Functions

GDataGDOrganization * | gdata_gd_organization_new ()
const gchar * | gdata_gd_organization_get_name ()
void | gdata_gd_organization_set_name ()
const gchar * | gdata_gd_organization_get_title ()
void | gdata_gd_organization_set_title ()
const gchar * | gdata_gd_organization_get_relation_type ()
void | gdata_gd_organization_set_relation_type ()
const gchar * | gdata_gd_organization_get_label ()
void | gdata_gd_organization_set_label ()
gboolean | gdata_gd_organization_is_primary ()
void | gdata_gd_organization_set_is_primary ()
const gchar * | gdata_gd_organization_get_department ()
void | gdata_gd_organization_set_department ()
const gchar * | gdata_gd_organization_get_job_description ()
void | gdata_gd_organization_set_job_description ()
const gchar * | gdata_gd_organization_get_symbol ()
void | gdata_gd_organization_set_symbol ()
GDataGDWhere * | gdata_gd_organization_get_location ()
void | gdata_gd_organization_set_location ()

## Properties

char * | department | Read / Write
gboolean | is-primary | Read / Write
char * | job-description | Read / Write
char * | label | Read / Write
GDataGDWhere * | location | Read / Write
char * | name | Read / Write
char * | relation-type | Read / Write
char * | symbol | Read / Write
char * | title | Read / Write

## Types and Values

#define | GDATA_GD_ORGANIZATION_WORK
#define | GDATA_GD_ORGANIZATION_OTHER
| GDataGDOrganization
| GDataGDOrganizationClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataGDOrganization

## Implemented Interfaces

GDataGDOrganization implements GDataComparable.

## Includes

    #include <gdata/gd/gdata-gd-organization.h>

## Description

GDataGDOrganization represents an "organization" element from the

GData specification.

## Functions

### gdata_gd_organization_new ()

    GDataGDOrganization *
    gdata_gd_organization_new (const gchar *name,
                               const gchar *title,
                               const gchar *relation_type,
                               const gchar *label,
                               gboolean is_primary);

Creates a new GDataGDOrganization. More information is available in the GData specification.

#### Parameters

name | the name of the organization, or `NULL`. | [allow-none]
title | the owner's title within the organization, or `NULL`. | [allow-none]
relation_type | the relationship between the organization and its owner, or `NULL`. | [allow-none]
label | a human-readable label for the organization, or `NULL`. | [allow-none]
is_primary | `TRUE` if this organization is its owner's primary organization, `FALSE` otherwise |

#### Returns

a new GDataGDOrganization, or `NULL`; unref with `g_object_unref()`

Since: 0.2.0

### gdata_gd_organization_get_name ()

    const gchar *
    gdata_gd_organization_get_name (GDataGDOrganization *self);

Gets the “name” property.

#### Parameters

self | a GDataGDOrganization |

#### Returns

the organization's name, or `NULL`

Since: 0.4.0

### gdata_gd_organization_set_name ()

    void
    gdata_gd_organization_set_name (GDataGDOrganization *self,
                                    const gchar *name);

Sets the “name” property to `name` .

Set `name` to `NULL` to unset the property in the organization.

#### Parameters

self | a GDataGDOrganization |
name | the new name for the organization, or `NULL`. | [allow-none]

Since: 0.4.0

### gdata_gd_organization_get_title ()

    const gchar *
    gdata_gd_organization_get_title (GDataGDOrganization *self);

Gets the “title” property.

#### Parameters

self | a GDataGDOrganization |

#### Returns

the organization's title, or `NULL`

Since: 0.4.0

### gdata_gd_organization_set_title ()

    void
    gdata_gd_organization_set_title (GDataGDOrganization *self,
                                     const gchar *title);

Sets the “title” property to `title` .

Set `title` to `NULL` to unset the property in the organization.

#### Parameters

self | a GDataGDOrganization |
title | the new title for the organization, or `NULL`. | [allow-none]

Since: 0.4.0

### gdata_gd_organization_get_relation_type ()

    const gchar *
    gdata_gd_organization_get_relation_type
                                   (GDataGDOrganization *self);

Gets the “relation-type” property.

#### Parameters

self | a GDataGDOrganization |

#### Returns

the organization's relation type, or `NULL`

Since: 0.4.0

### gdata_gd_organization_set_relation_type ()

    void
    gdata_gd_organization_set_relation_type
                                   (GDataGDOrganization *self,
                                    const gchar *relation_type);

Sets the “relation-type” property to `relation_type` .

Set `relation_type` to `NULL` to unset the property in the organization.

#### Parameters

self | a GDataGDOrganization |
relation_type | the new relation type for the organization, or `NULL`. | [allow-none]

Since: 0.4.0

### gdata_gd_organization_get_label ()

    const gchar *
    gdata_gd_organization_get_label (GDataGDOrganization *self);

Gets the “label” property.

#### Parameters

self | a GDataGDOrganization |

#### Returns

the organization's label, or `NULL`

Since: 0.4.0

### gdata_gd_organization_set_label ()

    void
    gdata_gd_organization_set_label (GDataGDOrganization *self,
                                     const gchar *label);

Sets the “label” property to `label` .

Set `label` to `NULL` to unset the property in the organization.

#### Parameters

self | a GDataGDOrganization |
label | the new label for the organization, or `NULL`. | [allow-none]

Since: 0.4.0

### gdata_gd_organization_is_primary ()

    gboolean
    gdata_gd_organization_is_primary (GDataGDOrganization *self);

Gets the “is-primary” property.

#### Parameters

self | a GDataGDOrganization |

#### Returns

`TRUE` if this is the primary organization, `FALSE` otherwise

Since: 0.4.0

### gdata_gd_organization_set_is_primary ()

    void
    gdata_gd_organization_set_is_primary (GDataGDOrganization *self,
                                          gboolean is_primary);

Sets the “is-primary” property to `is_primary` .

#### Parameters

self | a GDataGDOrganization |
is_primary | `TRUE` if this is the primary organization, `FALSE` otherwise |

Since: 0.4.0

### gdata_gd_organization_get_department ()

    const gchar *
    gdata_gd_organization_get_department (GDataGDOrganization *self);

Gets the “department” property.

#### Parameters

self | a GDataGDOrganization |

#### Returns

the department in which the person works in this organization, or `NULL`

Since: 0.5.0

### gdata_gd_organization_set_department ()

    void
    gdata_gd_organization_set_department (GDataGDOrganization *self,
                                          const gchar *department);

Sets the “department” property to `department` .

Set `department` to `NULL` to unset the property in the organization.

#### Parameters

self | a GDataGDOrganization |
department | the new department for the person working in the organization, or `NULL`. | [allow-none]

Since: 0.5.0

### gdata_gd_organization_get_job_description ()

    const gchar *
    gdata_gd_organization_get_job_description
                                   (GDataGDOrganization *self);

Gets the “job-description” property.

#### Parameters

self | a GDataGDOrganization |

#### Returns

the job description of the person in the organization, or `NULL`

Since: 0.5.0

### gdata_gd_organization_set_job_description ()

    void
    gdata_gd_organization_set_job_description
                                   (GDataGDOrganization *self,
                                    const gchar *job_description);

Sets the “job-description” property to `job_description` .

Set `job_description` to `NULL` to unset the property in the organization.

#### Parameters

self | a GDataGDOrganization |
job_description | the new job description for the person in the organization, or `NULL`. | [allow-none]

Since: 0.5.0

### gdata_gd_organization_get_symbol ()

    const gchar *
    gdata_gd_organization_get_symbol (GDataGDOrganization *self);

Gets the “symbol” property.

#### Parameters

self | a GDataGDOrganization |

#### Returns

the organization's stock symbol, or `NULL`

Since: 0.5.0

### gdata_gd_organization_set_symbol ()

    void
    gdata_gd_organization_set_symbol (GDataGDOrganization *self,
                                      const gchar *symbol);

Sets the “symbol” property to `symbol` .

Set `symbol` to `NULL` to unset the property in the organization.

#### Parameters

self | a GDataGDOrganization |
symbol | the new stock symbol for the organization, or `NULL`. | [allow-none]

Since: 0.5.0

### gdata_gd_organization_get_location ()

    GDataGDWhere *
    gdata_gd_organization_get_location (GDataGDOrganization *self);

Gets the “location” property.

#### Parameters

self | a GDataGDOrganization |

#### Returns

the organization's location, or `NULL`.

[transfer none]

Since: 0.6.0

### gdata_gd_organization_set_location ()

    void
    gdata_gd_organization_set_location (GDataGDOrganization *self,
                                        GDataGDWhere *location);

Sets the “location” property to `location` .

Set `location` to `NULL` to unset the property in the organization.

#### Parameters

self | a GDataGDOrganization |
location | the new location for the organization, or `NULL`. | [allow-none]

Since: 0.6.0

## Types and Values

### GDATA_GD_ORGANIZATION_WORK

    #define GDATA_GD_ORGANIZATION_WORK "http://schemas.google.com/g/2005#work"

The relation type URI for a work organization.

Since: 0.7.0

### GDATA_GD_ORGANIZATION_OTHER

    #define GDATA_GD_ORGANIZATION_OTHER "http://schemas.google.com/g/2005#other"

The relation type URI for a miscellaneous organization.

Since: 0.7.0

### GDataGDOrganization

    typedef struct _GDataGDOrganization GDataGDOrganization;

All the fields in the GDataGDOrganization structure are private and should never be accessed directly.

Since: 0.2.0

### GDataGDOrganizationClass

    typedef struct {
    } GDataGDOrganizationClass;

All the fields in the GDataGDOrganizationClass structure are private and should never be accessed directly.

Since: 0.4.0

## Property Details

### The `“department”` property

      “department”               char *

Specifies a department within the organization.

For more information, see the

GData specification.

Owner: GDataGDOrganization

Flags: Read / Write

Default value: NULL

Since: 0.5.0

### The `“is-primary”` property

      “is-primary”               gboolean

Indicates which organization out of a group is primary.

For more information, see the

GData specification.

Owner: GDataGDOrganization

Flags: Read / Write

Default value: FALSE

Since: 0.4.0

### The `“job-description”` property

      “job-description”          char *

Description of a job within the organization.

For more information, see the

GData specification.

Owner: GDataGDOrganization

Flags: Read / Write

Default value: NULL

Since: 0.5.0

### The `“label”` property

      “label”                    char *

A simple string value used to name this organization. It allows UIs to display a label such as "Work", "Volunteer", "Professional Society", etc.

For more information, see the

GData specification.

Owner: GDataGDOrganization

Flags: Read / Write

Default value: NULL

Since: 0.4.0

### The `“location”` property

      “location”                 GDataGDWhere *

A place associated with the organization, e.g. office location.

For more information, see the

GData specification.

Owner: GDataGDOrganization

Flags: Read / Write

Since: 0.6.0

### The `“name”` property

      “name”                     char *

The name of the organization.

For more information, see the

GData specification.

Owner: GDataGDOrganization

Flags: Read / Write

Default value: NULL

Since: 0.4.0

### The `“relation-type”` property

      “relation-type”            char *

A programmatic value that identifies the type of organization. For example: `GDATA_GD_ORGANIZATION_WORK` or `GDATA_GD_ORGANIZATION_OTHER`.

For more information, see the

GData specification.

Owner: GDataGDOrganization

Flags: Read / Write

Default value: NULL

Since: 0.4.0

### The `“symbol”` property

      “symbol”                   char *

Stock symbol of the organization.

For more information, see the

GData specification.

Owner: GDataGDOrganization

Flags: Read / Write

Default value: NULL

Since: 0.5.0

### The `“title”` property

      “title”                    char *

The title of a person within the organization.

For more information, see the

GData specification.

Owner: GDataGDOrganization

Flags: Read / Write

Default value: NULL

Since: 0.4.0